package de.unikoblenz.fgbks.api.test;

import de.unikoblenz.fgbks.core.dmn.utils.DmnService;
import de.unikoblenz.fgbks.core.dmn.verification.VerificationService;
import javax.inject.Inject;
import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@Path("/builder")
public class TestApi {

  private static Logger LOGGER = LoggerFactory.getLogger(TestApi.class.getSimpleName());

  @Inject protected DmnService dmnService;

  @Inject protected VerificationService verificationService;

  @POST
  @Produces(MediaType.APPLICATION_JSON)
  @Consumes(MediaType.TEXT_XML)
  public Response helloBuilder(String payload) {
    return Response.accepted(verificationService.generate(payload)).build();
  }
}
